# OSGeo::FDO::Schema::AssociationPropertyDefinition Class Reference
[OSGeo::FDO::Schema]

Inheritance diagram for OSGeo::FDO::Schema::AssociationPropertyDefinition:

[legend]

List of all members.

## Detailed Description

AssociationPropertyDefinition class derives PropertyDefinition and represents the association between two classes. The class of the associated class must already be defined in the feature schema and cannot be abstract.

()

## Public Member Functions
| AssociationPropertyDefinition (System::IntPtr unmanaged, System::Boolean autoDelete)
| Constructs a AssociationPropertyDefinition object based on an unmanaged instance of the object.
| AssociationPropertyDefinition (System::String *name, System::String *description, System::Boolean system)
| Constructs an instance of an AssociationPropertyDefinition using the specified arguments.
| AssociationPropertyDefinition (System::String *name, System::String *description)
| Constructs an instance of an AssociationPropertyDefinition using the specified arguments.
| AssociationPropertyDefinition ()
| Constructs a default instance of an AssociationPropertyDefinition.
__property OSGeo::FDO::Schema::ClassDefinition * | get_AssociatedClass ()
| Gets a reference to the associated class.
__property OSGeo::FDO::Schema::DeleteRule | get_DeleteRule ()
| Gets the delete rule.
__property OSGeo::FDO::Schema::DataPropertyDefinitionCollection * | get_IdentityProperties ()
| Gets a reference to an NAMESPACE_OSGEO_FDO_SCHEMA::DataPropertyDefinitionCollection which is a collection of properties of the current class that are used as key for this association. Initially, this collection is empty. The user can optionally add any number of properties. If the collection is left empty, the identity properties of the associated class are added to the current class. The number, order and types should match the property of the ReverseIdentityProperties collection. All properties in the collection should already exist in the containing class. This is needed in case the current class already has properties (foreign keys) that are used to reference the associated feature.
__property System::Boolean | get_IsReadOnly ()
| This method is used to verify if this association property is a read-only association property. A read-only association property is created internally when the reverse name of an association property is specified. The read-only association property is added automatically to the associated class and can be used to navigate from the associated class to the associating class.
__property System::Boolean | get_LockCascade ()
| Gets the lock cascade option. true to cascade the lock otherwise the lock is not cascaded.
__property System::String * | get_Multiplicity ()
| This method is used to return the association multiplicity from the owner class side. See SetMultiplicity method for description of the possible values.
__property OSGeo::FDO::Schema::PropertyType | get_PropertyType ()
| Gets the concrete property type.
__property OSGeo::FDO::Schema::DataPropertyDefinitionCollection * | get_ReverseIdentityProperties ()
| Gets a reference to an NAMESPACE_OSGEO_FDO_SCHEMA::DataPropertyDefinitionCollection used to return a collection of properties of the associated class that are used as key for this association. The number, order and types should match the IdentityProperties. If the reverse identity collection is empty, then the associated class identity properties will be used. The properties of the collection should already exist on the associated class.
__property System::String * | get_ReverseMultiplicity ()
| This method is used to return the association multiplicity from the associated class side. See SetReverseMultiplicity method for description of the possible values.
__property System::String * | get_ReverseName ()
| Gets the reverse name of this property. See description of SetReverseName.
__property System::Void | set_AssociatedClass (OSGeo::FDO::Schema::ClassDefinition *value)
| Sets a reference to the associated class.
__property System::Void | set_DeleteRule (OSGeo::FDO::Schema::DeleteRule value)
| Sets the delete rule.
__property System::Void | set_IsReadOnly (System::Boolean value)
| This method is used to set the read-only status of the association property. This method should only be called by FDO providers to set to read-only the association property added internally to the associated class that represent the reverse association property.
__property System::Void | set_LockCascade (System::Boolean value)
| Sets the lock cascade option.
__property System::Void | set_Multiplicity (System::String *value)
| This method is used to set the association multiplicity from the property owner class side. The only possible values are 1 or m. If the multiplicity is set to ?? then only one instance of the owning class can be associated to a given instance of the associated class. If the multiplicity is set to “m? then many instances of the owning class can be associated to the same instance of the associated class.
__property System::Void | set_ReverseMultiplicity (System::String *value)
| This method is used to set the association multiplicity from the associated class side. The only possible values are 0 or 1. If the multiplicity is set to ?? then it is not mandatory to initialize the association property when a new object is created. If the multiplicity is set to ?? then the association property must be initialized when a new object is created.
__property System::Void | set_ReverseName (System::String *name)
| This method is used to set the name of this association as seen by the associated class. This is an optional parameter that can be provided if the navigation back from the associated class is needed. This property will appear as read-only property on the associated class. For example let’s assume that we have an Accident class that associated to a Road class by an association called “road? If we wanted to find all the accidents associated to a given road, we will need to provide a reverse property name of the road association property. In this case an appropriate value for such a name would be “accident? The filter that can be used to find all the accidents would look like: “accident not null?